<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <AssemblyName>DiplomovaPrace.Entity</AssemblyName>
    <RootNamespace>DiplomovaPrace.Entity</RootNamespace>
  </PropertyGroup>

	<ItemGroup>
		<None Remove="appsettings.json" />
	</ItemGroup>

	<ItemGroup>
		<Content Include="appsettings.json">
			<CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
	</ItemGroup>

  <ItemGroup>
    <PackageReference Include="Havit.Data.EntityFrameworkCore" Version="2.3.2" />
    <PackageReference Include="Havit.Data.EntityFrameworkCore.Patterns" Version="2.3.9" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.5">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Configuration.FileExtensions" Version="5.0.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Model\Model.csproj" />
  </ItemGroup>

</Project>
